Bug 59852 - inews needs inn.conf from inn, but there is no requirement in package
inews needs inn.conf from inn, but there is no requirement in package
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: inn (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-13 16:34 EST by Göran Uddeborg
Modified: 2007-04-18 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-13 16:34:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2002-02-13 16:34:34 EST
Description of Problem:
The program inews in the package needs the file /etc/news/inn.conf from the
package inn.  There is nothing in the package requirements forcing this.  It
seems to it would make sense to let inews require inn.

One might of course argue that installing the entire inn is overkill just to be
able to run inews.  But that should in that case be solved by factoring out an
inn-common or something like that.  As it is, the package inews isn't usable
standalone unless you make your inn.conf from scratch.  (And the manual you
might need to do that is also in the package inn! :-)

Version-Release number of selected component (if applicable): inews-2.3.2-9

How Reproducible: Completely

Steps to Reproduce:
1. rpm -e inn # in case it is installed
2. rpm -i inews-2.3.2-9.i386.rpm # no complains about any dependencies
3. inews -n test -t testing # will give error message

Actual Results:
The third step gives the error message
Cannot open /etc/news/inn.conf

Expected Results:
I would expect to be able to post an article over to a news server.

Additional Information:
Comment 1 Florian La Roche 2002-04-08 09:29:25 EDT
Fixed in inn-2.3.2-11 or newer.

Thanks,

Florian La Roche
Comment 2 Nils Philippsen 2002-04-10 12:15:25 EDT
IMHO, it's overkill for inews (~60KB) to require inn (~6MB). We should do an
inn-common package or if we want to avoid splitting packages now, we could
include /etc/news/inn.conf in both packages (i.e. inews and inn, rpm can handle
that (or at least could in the past)) and postpone splitting the package for 8.0.

Note You need to log in before you can comment on or make changes to this bug.